<div class="container">
    <section class="buckets">
        <div class="bucket" *ngFor="let bucket of buckets" (click)="selectBucket(bucket)">
            <div class="icon">
                <mat-icon>move_to_inbox</mat-icon>
            </div>
            <h2>{{bucket}}</h2>
            <div class="bucket_actions">
                <mat-icon (click)="removeBucket(bucket)">delete</mat-icon>
            </div>
        </div>
        <div class="bucket add_bucket">
            <div class="icon">
                <mat-icon>library_add</mat-icon>
            </div>
            <h2>Añadir bucket</h2>
            <mat-form-field class="bucket_input">
                <mat-label>Nombre del bucket</mat-label>
                <input matInput type="text" [formControl]="newBucketName">
                <button mat-button matSuffix mat-icon-button (click)="addBucket()">
                    <mat-icon>send</mat-icon>
                </button>
            </mat-form-field>
        </div>
    </section>
    <section class="files">
        <div class="selected_bucket">
            <span>{{selectedBucket}}</span>
        </div>
        <div class="files_container">
            <input type="file" multiple #file id="hideInput" (change)="onLoadInputChange($event)">
            <div class="file add_file" (click)="file.click()" *ngIf="selectedBucket == 'Selecciona un bucket..'">
                <mat-icon>library_add</mat-icon>
                <h5>Añadir archivo</h5>
            </div>
            <div class="file" *ngFor="let file of filesInBucket">
                <mat-icon>insert_drive_file</mat-icon>
                <h5 [matTooltip]="file.fileName" matTooltipShowDelay="1000">{{file.fileName}}</h5>
                <div class="divider"></div>
                <div class="actions">
                    <mat-icon>cloud_download</mat-icon>
                    <mat-icon>delete</mat-icon>
                </div>
            </div>
        </div>
    </section>
</div>